iPhone The iphone could not be updated because the firmware file is not compatible

Discussion in 'iOS 8' started by dj1891, Sep 17, 2015.

  1. dj1891 macrumors regular

    dj1891

    Joined:
    Feb 16, 2015
    Location:
    Northern Ireland
    #1
    I am trying to downgrade from iOS 9 to 8.4.1 on my 5C as iOS 9 runs to sluggish but this is the error I get when trying to install manually through iTunes.

    I have ugraded iTunes to latest version, tried different cables but same error. Any ideas?
     
  2. C DM macrumors Westmere

    Joined:
    Oct 17, 2011
    #2
    Perhaps you are using an install file that is for a different device?
     
  3. vertsix macrumors 65816

    vertsix

    Joined:
    Aug 12, 2015
    #3
    Yeah, make sure you select the correct file for your device.
     

Share This Page